Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.desktop
Class DesktopResizeAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.ComponentAction
              de.jsystems.framework.desktop.DesktopResizeAction

All Implemented Interfaces:
  ComponentListener, EventListener

public class DesktopResizeAction
extends ComponentAction

Diese Aktion aendert die Groesse des Desktop, sobald die InternalFrames im Desktop bewegt werden und dabei den sichtbaren Bereich des Desktop verlassen.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`DesktopResizeAction()`

Method Summary
`void` | `doComponentMoved(ComponentEvent e)` Wird aufgerufen, wenn sich die Position einer Komponente ändert.
`void` | `doComponentResized(ComponentEvent e)` Wird aufgerufen, wenn sich die Groesse einer Komponenten ändert.

Methods inherited from class de.jsystems.framework.common.action.awt.ComponentAction
`componentHidden, componentMoved, componentResized, componentShown, doComponentHidden, doComponentShown`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopResizeAction

    public DesktopResizeAction()

Method Detail

### doComponentResized

    public void doComponentResized(ComponentEvent e)
                            throws Exception

  Wird aufgerufen, wenn sich die Groesse einer Komponenten ändert. Hier wird dann ggf. die Groesse des Desktop angepasst. Der Controller in der Action muss vom Typ `BusinessDesktopFrameController` sein.

  Overrides:
    `doComponentResized` in class `ComponentAction`
  Parameters:
    `e` - Das ausgeloeste Event.
  Throws:
    `Exception` - wenn in der Action ein Fehler auftritt.

### doComponentMoved

    public void doComponentMoved(ComponentEvent e)
                          throws Exception

  Wird aufgerufen, wenn sich die Position einer Komponente ändert. Hier wird dann ggf. die Groesse des Desktop angepasst. Der Controller in der Action muss vom Typ `BusinessDesktopFrameController` sein.

  Overrides:
    `doComponentMoved` in class `ComponentAction`
  Parameters:
    `e` - Das ausgeloeste Event.
  Throws:
    `Exception` - wenn in der Action ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD